Skip to main content
POST
/
commands
/
{command_id}
/
editor
/
thread
Create Command Editor Thread
curl --request POST \
  --url https://analyst.heyhumm.ai/commands/{command_id}/editor/thread \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "message": "<string>"
}
'
{
  "id": "<string>",
  "organization_id": "<string>",
  "user_id": "<string>",
  "workflow_type": "<string>",
  "title": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_message": "<string>",
  "applied_at": "2023-11-07T05:31:56Z",
  "archived_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

command_id
string<uuid>
required

Command ID

Query Parameters

organization_id
string
required

Body

application/json

Request payload for creating a command editor workflow thread.

title
string | null
message
string | null

Response

Successful Response

Persisted command editor workflow thread metadata.

id
string
required
organization_id
string
required
user_id
string
required
workflow_type
string
required
title
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
last_message
string | null
applied_at
string<date-time> | null
archived_at
string<date-time> | null